aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGary Wu <gary.i.wu@huawei.com>2017-10-19 15:15:17 -0700
committerGary Wu <gary.i.wu@huawei.com>2017-10-19 15:15:17 -0700
commit95e60754bb716956de4b484a3f7ddcd1849c8e38 (patch)
tree2c15b685eccb765aa68abe027a0ea608fb588765
parent13405453f69e215b373cf2f72c5a8457af15ec22 (diff)
Return robot error code from runTags.sh
This allows us to call this from Jenkins and retrieve the test result code. Change-Id: I6f6fb6edefaf2b3ec40d424ce3437a710fc1a318 Issue-ID: INT-278 Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
-rw-r--r--runTags.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/runTags.sh b/runTags.sh
index e8a00b77..08ffe531 100644
--- a/runTags.sh
+++ b/runTags.sh
@@ -86,6 +86,7 @@ ROBOT_LIBS=./robot/library:./robot/library/eteutils:./robot/library/heatbridge
cd /var/opt/${INSTALL_NAME}
python -m robot.run -L ${LOG_LEVEL} -d ${OUTPUT_FOLDER} ${VARIABLEFILES} ${VARIABLES} ${LISTENERS} -P ${ROBOT_LIBS} ${ROBOT_TAGS} $(pwd)
+RET_CODE=$?
# Stop Xvfb we started earlier
# select it from list of possible Xvfb pids running because
@@ -98,3 +99,5 @@ do
kill -9 $P
fi
done
+
+exit $RET_CODE